package org.gcube.portlets.user.workspace.client.model;

/**
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 *
 */
public class FolderModel extends FileModel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	protected FolderModel() {
	}

	public FolderModel(String identifier, String name, FileModel parent, boolean isDirectory, boolean isShared) {
		super(identifier, name, parent, isDirectory, isShared);
	}
	
	public FolderModel(String identifier, String name, boolean isDirectory) {
		super(identifier, name, isDirectory);
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("FolderModel [isMarkAsRead()=");
		builder.append(isMarkAsRead());
		builder.append(", getOwner()=");
		builder.append(getOwner());
		builder.append(", getListUserSharing()=");
		builder.append(getListUserSharing());
		builder.append(", isShared()=");
		builder.append(isShared());
		builder.append(", getIcon()=");
		builder.append(getIcon());
		builder.append(", getAbstractPrototypeIcon()=");
		builder.append(getAbstractPrototypeIcon());
		builder.append(", getStatus()=");
		builder.append(getStatus());
		builder.append(", getIdentifier()=");
		builder.append(getIdentifier());
		builder.append(", getShortcutCategory()=");
		builder.append(getShortcutCategory());
		builder.append(", getName()=");
		builder.append(getName());
		builder.append(", getParentFileModel()=");
		builder.append(getParentFileModel());
		builder.append(", isDirectory()=");
		builder.append(isDirectory());
		builder.append(", getType()=");
		builder.append(getType());
		builder.append(", getGXTFolderItemType()=");
		builder.append(getGXTFolderItemType());
		builder.append(", getGXTFolderItemTypeToString()=");
		builder.append(getGXTFolderItemTypeToString());
		builder.append(", getProperties()=");
		builder.append(getProperties());
		builder.append(", getPropertyNames()=");
		builder.append(getPropertyNames());
		builder.append(", isAllowNestedValues()=");
		builder.append(isAllowNestedValues());
		builder.append(", getClass()=");
		builder.append(getClass());
		builder.append(", hashCode()=");
		builder.append(hashCode());
		builder.append(", toString()=");
		builder.append(super.toString());
		builder.append("]");
		return builder.toString();
	}

}
